org.apache.ignite.internal.processors.cache.persistence.file

## Class PersistentStorageIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.file.PersistentStorageIOException

All Implemented Interfaces:
  Serializable

    public class PersistentStorageIOException
    extends IgniteCheckedException

Exception is needed to distinguish persistent storage I/O errors.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PersistentStorageIOException(IOException cause)` Create an instance of exception.
`PersistentStorageIOException(String msg, IOException cause)` Create an instance of exception.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PersistentStorageIOException

    public PersistentStorageIOException(IOException cause)

Create an instance of exception.

Parameters:
  `cause` - Error cause.

#### PersistentStorageIOException

    public PersistentStorageIOException(String msg,
                                        IOException cause)

Create an instance of exception.

Parameters:
  `msg` - Error message.
  `cause` - Error cause.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018